# Class MimeTypeParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.awt.datatransfer.MimeTypeParseException

All Implemented Interfaces:
  `Serializable`

public class MimeTypeParseException extends Exception
A class to encapsulate MimeType parsing related exceptions.

Since:
  1.3

## Constructor Summary

Constructors
Constructor
Description
`MimeTypeParseException()`
Constructs a MimeTypeParseException with no specified detail message.
`MimeTypeParseException(String s)`
Constructs a MimeTypeParseException with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MimeTypeParseException

public MimeTypeParseException()
Constructs a MimeTypeParseException with no specified detail message.

### MimeTypeParseException

public MimeTypeParseException(String s)
Constructs a MimeTypeParseException with the specified detail message.

Parameters:
  `s` - the detail message